Name: python-xmlrpc
Summary: A set of Python modules for XML-RPC support
Group: Development/Libraries
Copyright: GPL
Version: 1.2.1
Release: 1
Source: %{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-root
Requires: python >= 1.5.2-27

%description
This kit contains a Python implementation for Userland's XML-RPC protocol
based on the xmlrpclib version 0.9.8.

This package also includes the sgmlop module, an optimized SGML/XML parser,
designed as an add-on to the sgmllib/htmllib and xmllib modules. This module
is typically 5-10 times faster than the original xmllib implementation.

%prep
%setup -c -q

%build
make -C sgmlop

%install
rm -rf $RPM_BUILD_ROOT
make install -C xmlrpc PREFIX=$RPM_BUILD_ROOT
make install -C sgmlop PREFIX=$RPM_BUILD_ROOT
cp xmlrpc/README README.xmlrpc
cp sgmlop/README READNE.sgmlop

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README.* xmlrpc/COPYRIGHT
/usr/lib/python1.5/site-packages/*

%changelog
* Fri Dec 15 2000 Preston Brown <pbrown@redhat.com>
- support user-settable transport encodings

* Mon Dec 11 2000 Preston Brown <pbrown@redhat.com>
- require a version of python including HTTPS support

* Thu Nov 30 2000 Preston Brown <pbrown@redhat.com>
- HTTPS proxy support

* Tue Nov 28 2000 Preston Brown <pbrown@redhat.com>
- proxy support

* Tue Sep 19 2000 Cristian Gafton <gafton@redhat.com>
- install compiled versions of the modules too

* Fri Aug 25 2000 Cristian Gafton <gafton@redhat.com>
- enhance support for verification/validation of the remote site certificates.

* Fri Aug 18 2000 Cristian Gafton <gafton@redhat.com>
- added support for a SSL-enabled socket module

* Wed Aug 09 2000 Cristian Gafton <gafton@redhat.com>
- first build of the package

